module "property"{
  source  = "./modules/property"  
  secure = var.secure
  cp_code_id = var.cp_code_id
  edge_hostname = var.edge_hostname
  contract_id = var.contract_id
  group_id = var.group_id
  network = var.network
  rule_format = var.rule_format
  user_id = var.user_id
  product_id = var.product_id
  email = var.email
  cloudlet_policy_id = module.cloudlets.cloudlet_policy_id
  edgeworker_id = module.edgeworkers.edgeworker_id
}

module "security"{
  source  = "./modules/security"  
  user_id = var.user_id
  contract_id = var.contract_id
  group_id = var.group_id
  network = var.network
  email = var.email
  security_policy_prefix = var.security_policy_prefix
  security_policy_name = var.security_policy_name
  host_names = var.host_names
  geo_block_network_list_id = module.network-lists.geo_block_network_list_id
  depends_on = [module.network-lists, module.property]
}

module "network-lists"{
  source  = "./modules/network-lists"  
  user_id = var.user_id
  email = var.email
  network = var.network
  geo_block_list = var.geo_block_list
}

module "cloudlets"{
  source  = "./modules/cloudlets"  
  user_id = var.user_id
  group_id = var.group_id
  network = var.network
}

module "edgeworkers"{
  source  = "./modules/edgeworkers"  
  user_id = var.user_id
  group_id = var.group_id
  network = var.network
}